diff --git a/dlls/mfplat/tests/mfplat.c b/dlls/mfplat/tests/mfplat.c
index 8d21f2ed6..20577453f 100644
--- a/dlls/mfplat/tests/mfplat.c
+++ b/dlls/mfplat/tests/mfplat.c
@@ -1164,140 +1163,140 @@ if(0)
 {
     /* Crash on Windows Vista/7 */
     hr = MFCreateMediaType(NULL);
-    ok(hr == E_INVALIDARG, "Unexpected hr %#lx.\n", hr);
+    ok(hr == E_INVALIDARG, "got 0x%08x\n", hr);
 }
 
     hr = MFCreateMediaType(&mediatype);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "got 0x%08x\n", hr);
 
     hr = IMFMediaType_GetMajorType(mediatype, &guid);
-    ok(hr == MF_E_ATTRIBUTENOTFOUND, "Unexpected hr %#lx.\n", hr);
+    ok(hr == MF_E_ATTRIBUTENOTFOUND, "Unexpected hr %#x.\n", hr);
 
     compressed = FALSE;
     hr = IMFMediaType_IsCompressedFormat(mediatype, &compressed);
-    ok(hr == S_OK, "Failed to get media type property, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get media type property, hr %#x.\n", hr);
     ok(compressed, "Unexpected value %d.\n", compressed);
 
     hr = IMFMediaType_SetUINT32(mediatype, &MF_MT_ALL_SAMPLES_INDEPENDENT, 0);
-    ok(hr == S_OK, "Failed to set attribute, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to set attribute, hr %#x.\n", hr);
 
     compressed = FALSE;
     hr = IMFMediaType_IsCompressedFormat(mediatype, &compressed);
-    ok(hr == S_OK, "Failed to get media type property, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get media type property, hr %#x.\n", hr);
     ok(compressed, "Unexpected value %d.\n", compressed);
 
     hr = IMFMediaType_SetUINT32(mediatype, &MF_MT_COMPRESSED, 0);
-    ok(hr == S_OK, "Failed to set attribute, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to set attribute, hr %#x.\n", hr);
 
     compressed = FALSE;
     hr = IMFMediaType_IsCompressedFormat(mediatype, &compressed);
-    ok(hr == S_OK, "Failed to get media type property, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get media type property, hr %#x.\n", hr);
     ok(compressed, "Unexpected value %d.\n", compressed);
 
     hr = IMFMediaType_SetUINT32(mediatype, &MF_MT_ALL_SAMPLES_INDEPENDENT, 1);
-    ok(hr == S_OK, "Failed to set attribute, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to set attribute, hr %#x.\n", hr);
 
     hr = IMFMediaType_SetUINT32(mediatype, &MF_MT_COMPRESSED, 1);
-    ok(hr == S_OK, "Failed to set attribute, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to set attribute, hr %#x.\n", hr);
 
     compressed = TRUE;
     hr = IMFMediaType_IsCompressedFormat(mediatype, &compressed);
-    ok(hr == S_OK, "Failed to get media type property, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get media type property, hr %#x.\n", hr);
     ok(!compressed, "Unexpected value %d.\n", compressed);
 
     hr = IMFMediaType_DeleteItem(mediatype, &MF_MT_COMPRESSED);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
 
     hr = IMFMediaType_SetGUID(mediatype, &MF_MT_MAJOR_TYPE, &MFMediaType_Video);
-    ok(hr == S_OK, "Failed to set GUID value, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to set GUID value, hr %#x.\n", hr);
 
     hr = IMFMediaType_GetMajorType(mediatype, &guid);
-    ok(hr == S_OK, "Failed to get major type, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get major type, hr %#x.\n", hr);
     ok(IsEqualGUID(&guid, &MFMediaType_Video), "Unexpected major type.\n");
 
     /* IsEqual() */
     hr = MFCreateMediaType(&mediatype2);
-    ok(hr == S_OK, "Failed to create media type, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to create media type, hr %#x.\n", hr);
 
     flags = 0xdeadbeef;
     hr = IMFMediaType_IsEqual(mediatype, mediatype2, &flags);
-    ok(hr == E_INVALIDARG, "Unexpected hr %#lx.\n", hr);
-    ok(flags == 0, "Unexpected flags %#lx.\n", flags);
+    ok(hr == E_INVALIDARG, "Unexpected hr %#x.\n", hr);
+    ok(flags == 0, "Unexpected flags %#x.\n", flags);
 
     /* Different major types. */
     hr = IMFMediaType_SetGUID(mediatype2, &MF_MT_MAJOR_TYPE, &MFMediaType_Audio);
-    ok(hr == S_OK, "Failed to set major type, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to set major type, hr %#x.\n", hr);
 
     flags = 0;
     hr = IMFMediaType_IsEqual(mediatype, mediatype2, &flags);
-    ok(hr == S_FALSE, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_FALSE, "Unexpected hr %#x.\n", hr);
     ok(flags == (MF_MEDIATYPE_EQUAL_FORMAT_TYPES | MF_MEDIATYPE_EQUAL_FORMAT_USER_DATA),
-            "Unexpected flags %#lx.\n", flags);
+            "Unexpected flags %#x.\n", flags);
 
     /* Same major types, different subtypes. */
     hr = IMFMediaType_SetGUID(mediatype2, &MF_MT_MAJOR_TYPE, &MFMediaType_Video);
-    ok(hr == S_OK, "Failed to set major type, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to set major type, hr %#x.\n", hr);
 
     flags = 0;
     hr = IMFMediaType_IsEqual(mediatype, mediatype2, &flags);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
     ok(flags == (MF_MEDIATYPE_EQUAL_MAJOR_TYPES | MF_MEDIATYPE_EQUAL_FORMAT_TYPES | MF_MEDIATYPE_EQUAL_FORMAT_DATA
-            | MF_MEDIATYPE_EQUAL_FORMAT_USER_DATA), "Unexpected flags %#lx.\n", flags);
+            | MF_MEDIATYPE_EQUAL_FORMAT_USER_DATA), "Unexpected flags %#x.\n", flags);
 
     /* Different user data. */
     hr = IMFMediaType_SetBlob(mediatype, &MF_MT_USER_DATA, (const UINT8 *)&flags, sizeof(flags));
-    ok(hr == S_OK, "Failed to set attribute, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to set attribute, hr %#x.\n", hr);
 
     flags = 0;
     hr = IMFMediaType_IsEqual(mediatype, mediatype2, &flags);
-    ok(hr == S_FALSE, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_FALSE, "Unexpected hr %#x.\n", hr);
     ok(flags == (MF_MEDIATYPE_EQUAL_MAJOR_TYPES | MF_MEDIATYPE_EQUAL_FORMAT_TYPES | MF_MEDIATYPE_EQUAL_FORMAT_DATA),
-            "Unexpected flags %#lx.\n", flags);
+            "Unexpected flags %#x.\n", flags);
 
     hr = IMFMediaType_DeleteItem(mediatype, &MF_MT_USER_DATA);
-    ok(hr == S_OK, "Failed to delete item, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to delete item, hr %#x.\n", hr);
 
     hr = IMFMediaType_SetGUID(mediatype, &MF_MT_SUBTYPE, &MFVideoFormat_RGB32);
-    ok(hr == S_OK, "Failed to set subtype, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to set subtype, hr %#x.\n", hr);
 
     flags = 0;
     hr = IMFMediaType_IsEqual(mediatype, mediatype2, &flags);
-    ok(hr == S_FALSE, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_FALSE, "Unexpected hr %#x.\n", hr);
     ok(flags == (MF_MEDIATYPE_EQUAL_MAJOR_TYPES | MF_MEDIATYPE_EQUAL_FORMAT_DATA | MF_MEDIATYPE_EQUAL_FORMAT_USER_DATA),
-            "Unexpected flags %#lx.\n", flags);
+            "Unexpected flags %#x.\n", flags);
 
     IMFMediaType_Release(mediatype2);
     IMFMediaType_Release(mediatype);
 
     /* IMFVideoMediaType */
     hr = MFCreateMediaType(&mediatype);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
 
     check_interface(mediatype, &IID_IMFVideoMediaType, FALSE);
 
     hr = IMFMediaType_QueryInterface(mediatype, &IID_IUnknown, (void **)&unk);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
     ok(unk == (IUnknown *)mediatype, "Unexpected pointer.\n");
     IUnknown_Release(unk);
 
     hr = IMFMediaType_SetGUID(mediatype, &MF_MT_MAJOR_TYPE, &MFMediaType_Video);
-    ok(hr == S_OK, "Failed to set GUID value, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to set GUID value, hr %#x.\n", hr);
 
     hr = IMFMediaType_QueryInterface(mediatype, &IID_IMFVideoMediaType, (void **)&unk);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
 
     hr = IUnknown_QueryInterface(unk, &IID_IUnknown, (void **)&unk2);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
     ok(unk2 == (IUnknown *)mediatype, "Unexpected pointer.\n");
     IUnknown_Release(unk2);
 
     hr = IUnknown_QueryInterface(unk, &IID_IMFAttributes, (void **)&unk2);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
     ok(unk2 == (IUnknown *)mediatype, "Unexpected pointer.\n");
     IUnknown_Release(unk2);
 
     hr = IUnknown_QueryInterface(unk, &IID_IMFMediaType, (void **)&unk2);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
     ok(unk2 == (IUnknown *)mediatype, "Unexpected pointer.\n");
     IUnknown_Release(unk2);
 
@@ -1307,20 +1306,20 @@ if(0)
     if (pMFCreateVideoMediaTypeFromSubtype)
     {
         hr = pMFCreateVideoMediaTypeFromSubtype(&MFVideoFormat_RGB555, &video_type);
-        ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+        ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
 
         check_interface(video_type, &IID_IMFMediaType, TRUE);
         check_interface(video_type, &IID_IMFVideoMediaType, TRUE);
 
         /* Major and subtype are set on creation. */
         hr = IMFVideoMediaType_GetCount(video_type, &count);
-        ok(count == 2, "Unexpected attribute count %#lx.\n", hr);
+        ok(count == 2, "Unexpected attribute count %#x.\n", hr);
 
         hr = IMFVideoMediaType_DeleteAllItems(video_type);
-        ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+        ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
 
         hr = IMFVideoMediaType_GetCount(video_type, &count);
-        ok(!count, "Unexpected attribute count %#lx.\n", hr);
+        ok(!count, "Unexpected attribute count %#x.\n", hr);
 
         check_interface(video_type, &IID_IMFVideoMediaType, FALSE);
 
@@ -1331,33 +1330,33 @@ if(0)
 
     /* IMFAudioMediaType */
     hr = MFCreateMediaType(&mediatype);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
 
     check_interface(mediatype, &IID_IMFAudioMediaType, FALSE);
 
     hr = IMFMediaType_QueryInterface(mediatype, &IID_IUnknown, (void **)&unk);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
     ok(unk == (IUnknown *)mediatype, "Unexpected pointer.\n");
     IUnknown_Release(unk);
 
     hr = IMFMediaType_SetGUID(mediatype, &MF_MT_MAJOR_TYPE, &MFMediaType_Audio);
-    ok(hr == S_OK, "Failed to set GUID value, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to set GUID value, hr %#x.\n", hr);
 
     hr = IMFMediaType_QueryInterface(mediatype, &IID_IMFAudioMediaType, (void **)&unk);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
 
     hr = IUnknown_QueryInterface(unk, &IID_IUnknown, (void **)&unk2);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
     ok(unk2 == (IUnknown *)mediatype, "Unexpected pointer.\n");
     IUnknown_Release(unk2);
 
     hr = IUnknown_QueryInterface(unk, &IID_IMFAttributes, (void **)&unk2);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
     ok(unk2 == (IUnknown *)mediatype, "Unexpected pointer.\n");
     IUnknown_Release(unk2);
 
     hr = IUnknown_QueryInterface(unk, &IID_IMFMediaType, (void **)&unk2);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
     ok(unk2 == (IUnknown *)mediatype, "Unexpected pointer.\n");
     IUnknown_Release(unk2);
 
@@ -1380,50 +1379,50 @@ static void test_MFCreateMediaEvent(void)
     value.vt = VT_UNKNOWN;
 
     hr = MFCreateMediaEvent(MEError, &GUID_NULL, E_FAIL, &value, &mediaevent);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "got 0x%08x\n", hr);
 
     PropVariantClear(&value);
 
     hr = IMFMediaEvent_GetType(mediaevent, &type);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
-    ok(type == MEError, "got %#lx\n", type);
+    ok(hr == S_OK, "got 0x%08x\n", hr);
+    ok(type == MEError, "got %#x\n", type);
 
     hr = IMFMediaEvent_GetExtendedType(mediaevent, &extended_type);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "got 0x%08x\n", hr);
     ok(IsEqualGUID(&extended_type, &GUID_NULL), "got %s\n",
        wine_dbgstr_guid(&extended_type));
 
     hr = IMFMediaEvent_GetStatus(mediaevent, &status);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
-    ok(status == E_FAIL, "Unexpected hr %#lx.\n", status);
+    ok(hr == S_OK, "got 0x%08x\n", hr);
+    ok(status == E_FAIL, "got 0x%08x\n", status);
 
     PropVariantInit(&value);
     hr = IMFMediaEvent_GetValue(mediaevent, &value);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "got 0x%08x\n", hr);
     ok(value.vt == VT_UNKNOWN, "got %#x\n", value.vt);
     PropVariantClear(&value);
 
     IMFMediaEvent_Release(mediaevent);
 
     hr = MFCreateMediaEvent(MEUnknown, &DUMMY_GUID1, S_OK, NULL, &mediaevent);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "got 0x%08x\n", hr);
 
     hr = IMFMediaEvent_GetType(mediaevent, &type);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
-    ok(type == MEUnknown, "got %#lx\n", type);
+    ok(hr == S_OK, "got 0x%08x\n", hr);
+    ok(type == MEUnknown, "got %#x\n", type);
 
     hr = IMFMediaEvent_GetExtendedType(mediaevent, &extended_type);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "got 0x%08x\n", hr);
     ok(IsEqualGUID(&extended_type, &DUMMY_GUID1), "got %s\n",
        wine_dbgstr_guid(&extended_type));
 
     hr = IMFMediaEvent_GetStatus(mediaevent, &status);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
-    ok(status == S_OK, "Unexpected hr %#lx.\n", status);
+    ok(hr == S_OK, "got 0x%08x\n", hr);
+    ok(status == S_OK, "got 0x%08x\n", status);
 
     PropVariantInit(&value);
     hr = IMFMediaEvent_GetValue(mediaevent, &value);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "got 0x%08x\n", hr);
     ok(value.vt == VT_EMPTY, "got %#x\n", value.vt);
     PropVariantClear(&value);
 
@@ -1435,7 +1434,7 @@ static void check_attr_count(IMFAttributes* obj, UINT32 expected, int line)
 {
     UINT32 count = expected + 1;
     HRESULT hr = IMFAttributes_GetCount(obj, &count);
-    ok_(__FILE__, line)(hr == S_OK, "Failed to get attributes count, hr %#lx.\n", hr);
+    ok_(__FILE__, line)(hr == S_OK, "Failed to get attributes count, hr %#x.\n", hr);
     ok_(__FILE__, line)(count == expected, "Unexpected count %u, expected %u.\n", count, expected);
 }
 
@@ -1446,7 +1445,7 @@ static void check_attr_type(IMFAttributes *obj, const GUID *key, MF_ATTRIBUTE_TY
     HRESULT hr;
 
     hr = IMFAttributes_GetItemType(obj, key, &type);
-    ok_(__FILE__, line)(hr == S_OK, "Failed to get item type, hr %#lx.\n", hr);
+    ok_(__FILE__, line)(hr == S_OK, "Failed to get item type, hr %#x.\n", hr);
     ok_(__FILE__, line)(type == expected, "Unexpected item type %d, expected %d.\n", type, expected);
 }
 
@@ -1470,71 +1469,71 @@ static void test_attributes(void)
     GUID key;
 
     hr = MFCreateAttributes( &attributes, 3 );
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "got 0x%08x\n", hr);
 
     hr = IMFAttributes_GetItemType(attributes, &GUID_NULL, &type);
-    ok(hr == MF_E_ATTRIBUTENOTFOUND, "Unexpected hr %#lx.\n", hr);
+    ok(hr == MF_E_ATTRIBUTENOTFOUND, "Unexpected hr %#x.\n", hr);
 
     CHECK_ATTR_COUNT(attributes, 0);
     hr = IMFAttributes_SetUINT32(attributes, &MF_READWRITE_ENABLE_HARDWARE_TRANSFORMS, 123);
-    ok(hr == S_OK, "Failed to set UINT32 value, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to set UINT32 value, hr %#x.\n", hr);
     CHECK_ATTR_COUNT(attributes, 1);
     CHECK_ATTR_TYPE(attributes, &MF_READWRITE_ENABLE_HARDWARE_TRANSFORMS, MF_ATTRIBUTE_UINT32);
 
     value = 0xdeadbeef;
     hr = IMFAttributes_GetUINT32(attributes, &MF_READWRITE_ENABLE_HARDWARE_TRANSFORMS, &value);
-    ok(hr == S_OK, "Failed to get UINT32 value, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get UINT32 value, hr %#x.\n", hr);
     ok(value == 123, "Unexpected value %u, expected: 123.\n", value);
 
     value64 = 0xdeadbeef;
     hr = IMFAttributes_GetUINT64(attributes, &MF_READWRITE_ENABLE_HARDWARE_TRANSFORMS, &value64);
-    ok(hr == MF_E_INVALIDTYPE, "Unexpected hr %#lx.\n", hr);
+    ok(hr == MF_E_INVALIDTYPE, "Unexpected hr %#x.\n", hr);
     ok(value64 == 0xdeadbeef, "Unexpected value.\n");
 
     hr = IMFAttributes_SetUINT64(attributes, &MF_READWRITE_ENABLE_HARDWARE_TRANSFORMS, 65536);
-    ok(hr == S_OK, "Failed to set UINT64 value, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to set UINT64 value, hr %#x.\n", hr);
     CHECK_ATTR_COUNT(attributes, 1);
     CHECK_ATTR_TYPE(attributes, &MF_READWRITE_ENABLE_HARDWARE_TRANSFORMS, MF_ATTRIBUTE_UINT64);
 
     hr = IMFAttributes_GetUINT64(attributes, &MF_READWRITE_ENABLE_HARDWARE_TRANSFORMS, &value64);
-    ok(hr == S_OK, "Failed to get UINT64 value, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get UINT64 value, hr %#x.\n", hr);
     ok(value64 == 65536, "Unexpected value.\n");
 
     value = 0xdeadbeef;
     hr = IMFAttributes_GetUINT32(attributes, &MF_READWRITE_ENABLE_HARDWARE_TRANSFORMS, &value);
-    ok(hr == MF_E_INVALIDTYPE, "Unexpected hr %#lx.\n", hr);
+    ok(hr == MF_E_INVALIDTYPE, "Unexpected hr %#x.\n", hr);
     ok(value == 0xdeadbeef, "Unexpected value.\n");
 
     IMFAttributes_Release(attributes);
 
     hr = MFCreateAttributes(&attributes, 0);
-    ok(hr == S_OK, "Failed to create attributes object, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to create attributes object, hr %#x.\n", hr);
 
     PropVariantInit(&propvar);
     propvar.vt = MF_ATTRIBUTE_UINT32;
     U(propvar).ulVal = 123;
     hr = IMFAttributes_SetItem(attributes, &DUMMY_GUID1, &propvar);
-    ok(hr == S_OK, "Failed to set item, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to set item, hr %#x.\n", hr);
     PropVariantInit(&ret_propvar);
     ret_propvar.vt = MF_ATTRIBUTE_UINT32;
     U(ret_propvar).ulVal = 0xdeadbeef;
     hr = IMFAttributes_GetItem(attributes, &DUMMY_GUID1, &ret_propvar);
-    ok(hr == S_OK, "Failed to get item, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get item, hr %#x.\n", hr);
     ok(!PropVariantCompareEx(&propvar, &ret_propvar, 0, 0), "Unexpected item value.\n");
     PropVariantClear(&ret_propvar);
     CHECK_ATTR_COUNT(attributes, 1);
 
     hr = IMFAttributes_GetItem(attributes, &DUMMY_GUID1, NULL);
-    ok(hr == S_OK, "Item check failed, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Item check failed, hr %#x.\n", hr);
 
     hr = IMFAttributes_GetItem(attributes, &DUMMY_GUID2, NULL);
-    ok(hr == MF_E_ATTRIBUTENOTFOUND, "Unexpected hr %#lx.\n", hr);
+    ok(hr == MF_E_ATTRIBUTENOTFOUND, "Unexpected hr %#x.\n", hr);
 
     PropVariantInit(&ret_propvar);
     ret_propvar.vt = MF_ATTRIBUTE_STRING;
     U(ret_propvar).pwszVal = NULL;
     hr = IMFAttributes_GetItem(attributes, &DUMMY_GUID1, &ret_propvar);
-    ok(hr == S_OK, "Failed to get item, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get item, hr %#x.\n", hr);
     ok(!PropVariantCompareEx(&propvar, &ret_propvar, 0, 0), "Unexpected item value.\n");
     PropVariantClear(&ret_propvar);
 
@@ -1544,12 +1543,12 @@ static void test_attributes(void)
     propvar.vt = MF_ATTRIBUTE_UINT64;
     U(propvar).uhVal.QuadPart = 65536;
     hr = IMFAttributes_SetItem(attributes, &DUMMY_GUID1, &propvar);
-    ok(hr == S_OK, "Failed to set item, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to set item, hr %#x.\n", hr);
     PropVariantInit(&ret_propvar);
     ret_propvar.vt = MF_ATTRIBUTE_UINT32;
     U(ret_propvar).ulVal = 0xdeadbeef;
     hr = IMFAttributes_GetItem(attributes, &DUMMY_GUID1, &ret_propvar);
-    ok(hr == S_OK, "Failed to get item, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get item, hr %#x.\n", hr);
     ok(!PropVariantCompareEx(&propvar, &ret_propvar, 0, 0), "Unexpected item value.\n");
     PropVariantClear(&ret_propvar);
     PropVariantClear(&propvar);
@@ -1559,12 +1558,12 @@ static void test_attributes(void)
     propvar.vt = VT_I4;
     U(propvar).lVal = 123;
     hr = IMFAttributes_SetItem(attributes, &DUMMY_GUID2, &propvar);
-    ok(hr == MF_E_INVALIDTYPE, "Failed to set item, hr %#lx.\n", hr);
+    ok(hr == MF_E_INVALIDTYPE, "Failed to set item, hr %#x.\n", hr);
     PropVariantInit(&ret_propvar);
     ret_propvar.vt = MF_ATTRIBUTE_UINT32;
     U(ret_propvar).lVal = 0xdeadbeef;
     hr = IMFAttributes_GetItem(attributes, &DUMMY_GUID2, &ret_propvar);
-    ok(hr == S_OK, "Failed to get item, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get item, hr %#x.\n", hr);
     PropVariantClear(&propvar);
     ok(!PropVariantCompareEx(&propvar, &ret_propvar, 0, 0), "Unexpected item value.\n");
     PropVariantClear(&ret_propvar);
@@ -1573,18 +1572,18 @@ static void test_attributes(void)
     propvar.vt = MF_ATTRIBUTE_UINT32;
     U(propvar).ulVal = 123;
     hr = IMFAttributes_SetItem(attributes, &DUMMY_GUID3, &propvar);
-    ok(hr == S_OK, "Failed to set item, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to set item, hr %#x.\n", hr);
 
     hr = IMFAttributes_DeleteItem(attributes, &DUMMY_GUID2);
-    ok(hr == S_OK, "Failed to delete item, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to delete item, hr %#x.\n", hr);
     CHECK_ATTR_COUNT(attributes, 2);
 
     hr = IMFAttributes_DeleteItem(attributes, &DUMMY_GUID2);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
     CHECK_ATTR_COUNT(attributes, 2);
 
     hr = IMFAttributes_GetItem(attributes, &DUMMY_GUID3, &ret_propvar);
-    ok(hr == S_OK, "Failed to get item, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get item, hr %#x.\n", hr);
     ok(!PropVariantCompareEx(&propvar, &ret_propvar, 0, 0), "Unexpected item value.\n");
     PropVariantClear(&ret_propvar);
     PropVariantClear(&propvar);
